[package]
name = "webterm"
description = "socktop xterm.js - based webterminal"
repository = "https://gt.wittyoneoff.com/jason/socktop-webterm"
documentation = "https://docs.rs/webterm"
readme = "README.md"
categories = ["web-programming", "web-programming::websocket", "web-programming::http-server", "command-line-utilities"]
keywords = ["terminal", "xterm", "websocket", "terminus", "console"]
version = "0.3.6"
authors = ["fabian.freyer@physik.tu-berlin.de","jasonpwitty+socktop@proton.me"]
edition = "2021"
license = "BSD-3-Clause"

[dependencies]
actix-files = "0.6"
actix-web = "4.9"
actix-web-actors = "4.3"
actix = "0.13"
actix-rt = "2.10"
futures = "0.3"
handlebars = "6.3"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
clap = { version = "4.5", features = ["derive"] }
tokio = { version = "1.42", features = ["full"] }
tokio-util = { version = "0.7", features = ["codec"] }
portable-pty = "0.8"
bytes = "1.9"
log = "0.4"
env_logger = "0.11"
libc = "0.2"
pop-telemetry = { git = "https://github.com/jasonwitty/pop-cli", branch = "main" }
dirs = "5.0"
regex = "1.10"

[lib]
name = "webterm"
path = "src/lib.rs"

[[bin]]
name = "webterm-server"
path = "src/server.rs"
